Severities
Creates a severity
Creates a new severity from provided data
POST
/
v1
/
severities
Creates a severity
curl --request POST \
--url https://api.rootly.com/v1/severities \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "severities",
"attributes": {
"name": "<string>",
"description": "<string>",
"color": "<string>",
"position": 123,
"notify_emails": [
"<string>"
],
"slack_channels": [
{
"id": "<string>",
"name": "<string>"
}
],
"slack_aliases": [
{
"id": "<string>",
"name": "<string>"
}
]
}
}
}
'{
"data": {
"id": "<string>",
"type": "severities",
"attributes": {
"name": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"slug": "<string>",
"description": "<string>",
"color": "<string>",
"position": 123,
"notify_emails": [
"<string>"
],
"slack_channels": [
{
"id": "<string>",
"name": "<string>"
}
],
"slack_aliases": [
{
"id": "<string>",
"name": "<string>"
}
]
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/vnd.api+json
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Creates a severity
curl --request POST \
--url https://api.rootly.com/v1/severities \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "severities",
"attributes": {
"name": "<string>",
"description": "<string>",
"color": "<string>",
"position": 123,
"notify_emails": [
"<string>"
],
"slack_channels": [
{
"id": "<string>",
"name": "<string>"
}
],
"slack_aliases": [
{
"id": "<string>",
"name": "<string>"
}
]
}
}
}
'{
"data": {
"id": "<string>",
"type": "severities",
"attributes": {
"name": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"slug": "<string>",
"description": "<string>",
"color": "<string>",
"position": 123,
"notify_emails": [
"<string>"
],
"slack_channels": [
{
"id": "<string>",
"name": "<string>"
}
],
"slack_aliases": [
{
"id": "<string>",
"name": "<string>"
}
]
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}